function model_p_rec= p_rec_model(date, age, X0)

% defining parameter values
B0 = X0(1);
Bmax = X0(2);
d = X0(3);
alpha=X0(4);

% Running equation 1 for each recall position 
for i=1:size(date(~isnan(date)), 2)
    
    Ti=(date(i)-date(1:i)+1);
    model_p_rec(i)=B0 + Bmax - (Bmax/sum(Ti.^-(d)))+(alpha*age(i));
    
end

end

